| Home | Libraries | People | FAQ | More

## Function template erase_nth

boost::algorithm::erase_nth — Erase nth algorithm.

## Synopsis

    // In header: <boost/algorithm/string/erase.hpp>

    template<typename SequenceT, typename RangeT>
      void erase_nth(SequenceT & Input, const RangeT & Search, int Nth);

## Description

Remove the Nth occurrence of the substring in the input. The input sequence is modified in-place.

Parameters: |
`Input` | An input string
`Nth` | An index of the match to be replaced. The index is 0-based. For negative N, matches are counted from the end of string.
`Search` | A substring to be searched for.